Bug 212258 - Review Request: wvs-data - World Vector Shoreline data
Review Request: wvs-data - World Vector Shoreline data
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 211626
  Show dependency treegraph
 
Reported: 2006-10-25 16:54 EDT by Mamoru TASAKA
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 14:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2006-10-25 16:54:16 EDT
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/wvs-data.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/wvs-data-0.0.20020219-1.src.rpm
Description: 
This package contains World Vector Shoreline data, which can
be used for XTide related applications.

--------------------------------------------------------
This package is split from xtide srpm.
Comment 1 Patrice Dumas 2006-10-25 17:19:39 EDT
* rpmlint gives an ignorable
W: wvs-data no-documentation
* match upstream
56325c8105c7137ced73396f2f2d8221  wvs.tar.bz2
* simple large data package

Please rename the directory with a name without xtide, since it
is not really related to xtide. The most logical would be
to use
%{_datadir}/wvs-data

APPROVED if you do that change.

No need to reupload a src.rpm, just import it right after doing the
change, this is pretty big.


In files, I prefer to add a trailing / for directories, to show
that it is a directory and not a file (not a blocker).

It may be a good idea to add, in a comment in the spec file 
references to the NOAA site:
http://www.ngdc.noaa.gov/mgg/fliers/93mgg01.html
http://www.ngdc.noaa.gov/mgg/global/relief/ETOPO5/BOUNDARY/WVS/
(Not a blocker).
Comment 2 Mamoru TASAKA 2006-10-25 17:34:25 EDT
Well, only spec file is renewed.
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/wvs-data.spec
(0.0.20020219-2)
Comment 3 Patrice Dumas 2006-10-25 17:40:12 EDT
Perfect, 
APPROVED
Comment 4 Mamoru TASAKA 2006-10-28 06:22:17 EDT
Well, I have already committed this to FE-devel.

When I finished rebuilding this on FE-5 and -6, I will close
this bug.
Comment 5 Mamoru TASAKA 2006-10-28 14:53:01 EDT
Rebuilt also for FE-5 and 6.

Thank you for reviewing this package. Closing now.
Comment 6 Patrice Dumas 2006-10-28 19:19:13 EDT
You should really remove the %{?dist} from the packages such that
the package isn't reinstalled at each upgrade.
Comment 7 Mamoru TASAKA 2006-10-29 08:14:12 EST
(In reply to comment #6)
> You should really remove the %{?dist} from the packages such that
> the package isn't reinstalled at each upgrade.

I am proceeding... Please wait.
Comment 8 Mamoru TASAKA 2006-10-30 03:10:28 EST
Removing %%dist process seems completed.

Note You need to log in before you can comment on or make changes to this bug.